<div class="container-fluid">

    <div class="heading">
        <p class="friends">Create</p>
    </div>
        <form #ref="ngForm" (ngSubmit)="create(ref.value); ref.resetForm()">
            <div class="text-right ">
                <input class="star" type="checkbox" name='favourite' title="bookmark page" ngModel><br /><br />
            </div>
            <div class="row text-right">
                <div class="col-6 form-group">
                    <input type="text" name="firstname" id="fname" placeholder="First Name" class="form-control "
                        ngModel>
                </div>
                <div class="col-6">
                    <input type="text" name="lastname" id="lname" placeholder="Last Name" class="form-control" ngModel>
                </div>
            </div>

            <div class="row">
                <div class="col-6 form-check">
                    <div class="form-check-label">
                        <label for="">Gender</label>
                    </div>
                    <input type="radio" name="gender" value="male" class="form-check-inpu" ngModel>
                    <label for="">Male</label>
                    <input type="radio" name="gender" value="female" class="form-check-inpu ml-2" ngModel>
                    <label for="">Female</label>
                </div>
                <div class="col-6">
                    <div class="form-check-label">
                        <label for="">Martial Status</label>
                    </div>
                    <input type="radio" name="martialstatus" value="married" class="form-check-inpu" ngModel>
                    <label for="">Married</label>
                    <input type="radio" name="martialstatus" value="unmarried" class="form-check-inpu ml-2" ngModel>
                    <label for="">Unmarried</label>
                </div>
            </div>
            <div class="d-fle justify-content-righ">
                <div class="row p-2  jumbotron " *ngFor="let v of contactNumbers; let i =index">
                    <div class="col-5">
                        <select class="form-control " name="contact_type{{i}}" id="sel1" [(ngModel)]='v.contact_type' >
                            <option value='mobile'>Mobile</option>
                            <option value='landline'>Landline</option>
                        </select>
                    </div>
                    <div class="col-5">
                        <input type="number" class="form-control input" name="number{{i}}" placeholder="Contact number"
                            [(ngModel)]='v.number'>
                    </div>
                    <div class="col-2 mt-2">
                        <i class="fa fa-plus p-1" aria-hidden="true" (click)="addNumber()" *ngIf="i==lastIndex"></i>
                        <i class="fa fa-minus p-1" aria-hidden="true" (click)="removeNumber(i)" [disabled]='i==0'
                            *ngIf="i==lastIndex"></i>
                    </div>
                </div>
            </div>
            <div class="text-right mt-5">
                <button class="btn btn-primary"> create</button>
            </div>
        </form>
</div>